import { jsx } from "react/jsx-runtime";
import { Pause as Pause$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pause = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Pause", ...props, children: /* @__PURE__ */ jsx(Pause$1, { weight: variant }) });
  }
);
Pause.displayName = "Pause";
Object.assign(Pause, { isGdsIcon: true });
export {
  Pause
};
